> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arqitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Providers

> Returns information about all supported swap providers



## OpenAPI

````yaml api-reference/openapi.json get /v1/providers
openapi: 3.1.0
info:
  title: dKit API
  description: Cross-chain swap aggregation API
  contact:
    name: API Support
    email: support@dkit.xyz
  version: v1
servers:
  - url: https://api.dkit.xyz
    description: Production API server
  - url: https://staging-api.dkit.xyz
    description: Staging API server
security: []
tags:
  - name: Core Endpoints
    description: Primary swap operations for quotes and tracking
  - name: Service Endpoints
    description: Specific transaction and integrations services
  - name: Data Endpoints
    description: Information endpoints for tokens, rates, and network data
externalDocs:
  description: API Documentation
  url: https://docs.dkit.xyz
paths:
  /v1/providers:
    get:
      tags:
        - Data Endpoints
      summary: Get Providers
      description: Returns information about all supported swap providers
      responses:
        '200':
          description: List of providers
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    provider:
                      type: string
                    url:
                      type: string
                    supportedActions:
                      type: array
                      items:
                        type: string
                    supportedChainIds:
                      type: array
                      items:
                        type: string
                    logoURI:
                      type: string
                    count:
                      type: number
                    keywords:
                      type: array
                      items:
                        type: string
                    providers:
                      type: array
                      items:
                        type: string
                    isDexAgg:
                      type: boolean
                  required:
                    - name
                    - provider
                    - url
                    - supportedActions
                    - supportedChainIds
                    - logoURI

````